.CategoryFilterOverlay {
    display: block;
    @include mobile {
        display: flex;
        padding: 1rem 1rem 50px;
        flex-direction: column;
        background: white;
    }

    @include after-mobile {
        padding: 24px 16px;
        border: 1px solid $grey-1-color;
    }

    @include tablet {
        transform: unset;
        background: white;
        will-change: unset;
    }

    &.Overlay:not(.Overlay_isStatic) {
        @include tablet {
            display: flex;
            overflow: visible;
            width: 100%;
            height: auto;
            padding-bottom: 24px;
            position: relative;
            top: 0;
            flex-direction: column;
            grid-row: 1/6;
            opacity: 1;
            pointer-events: all;
        }
    }

    &-Container {
        @include mobile {
            display: flex;
            height: 100%;
            flex-direction: column-reverse;
            justify-content: flex-end;
        }
    }

    &-CategoryConfigurableAttributes {
        display: flex;
        flex-direction: row;
    }

    &-Attributes {
        display: flex;
        align-items: center;
        text-align: center;

        @include mobile {
            width: 100%;
            padding-top: 8px;
            flex-direction: column;
            align-items: unset;
            order: 1;

            .FilterSelector {
                margin-bottom: 8px;
            }
        }
    }

    &-SeeResults {
        display: none;

        @include mobile {
            display: block;
            padding: 0 1rem;
            position: fixed;
            bottom: 0;
            order: 3;
            z-index: 100;
        }
    }

    &-Button {
        font-size: 14px;
        font-weight: 500;
    }
}

.SubcategorySelector + .CategoryFilterOverlay {
    margin-top: -1px;

    @include mobile {
        margin-top: 0;
    }
}

.ActiveFilters {
    margin-top: 8px;

    @include after-mobile {
        margin-bottom: -8px;
    }

    &-Button {
        padding: 6px 35px 6px 10px;
    }
}

.scrollDisabled {
    width: 100%;
    margin-top: 0;
    position: fixed;
    overflow-y: scroll;
}
